# Uses of Class
it.tdlight.jni.TdApi.MessageSendOptions

## Uses of TdApi.MessageSendOptions in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.MessageSendOptions
Modifier and Type
Field
Description
`TdApi.MessageSendOptions`
TdApi.ForwardMessages.`options`
Options to be used to send the messages; pass null to use default options.
`TdApi.MessageSendOptions`
TdApi.SendInlineQueryResultMessage.`options`
Options to be used to send the message; pass null to use default options.
`TdApi.MessageSendOptions`
TdApi.SendMessage.`options`
Options to be used to send the message; pass null to use default options.
`TdApi.MessageSendOptions`
TdApi.SendMessageAlbum.`options`
Options to be used to send the messages; pass null to use default options.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageSendOptions
Modifier
Constructor
Description
``
`ForwardMessages(long chatId, long messageThreadId, long fromChatId, long[] messageIds, TdApi.MessageSendOptions options, boolean sendCopy, boolean removeCaption)`
Forwards previously sent messages.
``
`SendInlineQueryResultMessage(long chatId, long messageThreadId, TdApi.InputMessageReplyTo replyTo, TdApi.MessageSendOptions options, long queryId, String resultId, boolean hideViaBot)`
Sends the result of an inline query as a message.
``
`SendMessage(long chatId, long messageThreadId, TdApi.InputMessageReplyTo replyTo, TdApi.MessageSendOptions options, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Sends a message.
``
`SendMessageAlbum(long chatId, long messageThreadId, TdApi.InputMessageReplyTo replyTo, TdApi.MessageSendOptions options, TdApi.InputMessageContent[] inputMessageContents)`
Sends 2-10 messages grouped together into an album.